<?php
/**
 * @var \The99Bitcoins\EthMiningCalculator\Plugin $this
 * @var string $notice_css_class
 * @var string $notice_message
 * @var array $fields
 */
?>
<div class="wrap">
	<h1><?php esc_html_e( 'Tooltips', '99btc-emc' ) ?></h1>
	<?php if ( ! empty( $notice_message ) ): ?>
		<div class="<?= $notice_css_class ?>">
			<p><?= $notice_message ?></p>
		</div>
	<?php endif ?>
	<form method="post" novalidate="novalidate">
		<table class="form-table">
			<?php foreach ( $fields as $field ): ?>
				<tr>
					<th scope="row"><label
							for="<?= esc_attr( $field['name'] ) ?>"><?php esc_html_e($field['title'], '99btc-emc') ?></label></th>
					<td>
						<textarea class="large-text code" rows="10" cols="50" name="<?= esc_attr( $field['name'] ) ?>"
						          id="<?= esc_attr( $field['name'] ) ?>"
						          placeholder="<?php esc_attr_e($field['placeholder'], '99btc-emc') ?>"><?= esc_html( ${$field['name']} ) ?></textarea>
					</td>
				</tr>
			<?php endforeach ?>
		</table>
		<?php submit_button(); ?>
	</form>
</div>
